<html>
<head>
<title>OGRE: Ogre::SceneManager::SceneMgrQueuedRenderableVisitor Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a>::<a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html">SceneMgrQueuedRenderableVisitor</a></div>
<h1>Ogre::SceneManager::SceneMgrQueuedRenderableVisitor Class Reference</h1><!-- doxytag: class="Ogre::SceneManager::SceneMgrQueuedRenderableVisitor" --><!-- doxytag: inherits="Ogre::QueuedRenderableVisitor" -->Inner helper class to implement the visitor pattern for rendering objects in a queue.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::SceneManager::SceneMgrQueuedRenderableVisitor:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html#1debd6d9332b92a9a2a40077ba908427">SceneMgrQueuedRenderableVisitor</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html#c8c6da90e0c6ca347c97acdf9b3e8dff">~SceneMgrQueuedRenderableVisitor</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html#55b8a5b1226af739ebf0655817d09a74">visit</a> (const <a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *r)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Visit method called once per <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> on a grouped collection.  <a href="#55b8a5b1226af739ebf0655817d09a74"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html#d6faf056bf49c141a2792e86693a74df">visit</a> (const <a class="el" href="classOgre_1_1Pass.html">Pass</a> *p)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html#38d41c37b23fa834ea0e783e29ae21fe">visit</a> (const <a class="el" href="structOgre_1_1RenderablePass.html">RenderablePass</a> *rp)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Called when visiting a <a class="el" href="structOgre_1_1RenderablePass.html" title="Struct associating a single Pass with a single Renderable.">RenderablePass</a>, ie items in a sorted collection where items are not grouped by pass.  <a href="#38d41c37b23fa834ea0e783e29ae21fe"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html#5a00a39fe1147c5806c457a4a9feed88">targetSceneMgr</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Target SM to send renderables to.  <a href="#5a00a39fe1147c5806c457a4a9feed88"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html#9b568558ac92b819f6c141cfae20613f">transparentShadowCastersMode</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Are we in transparent shadow caster mode?  <a href="#9b568558ac92b819f6c141cfae20613f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html#cf473d568a738bb42e81ef872fe600a2">autoLights</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Automatic light handling?  <a href="#cf473d568a738bb42e81ef872fe600a2"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="namespaceOgre.html#b82c6299605910b4051ebb3cc3e5539e">LightList</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html#a05f120964ef4bf3127dffa67c03480a">manualLightList</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Manual light list.  <a href="#a05f120964ef4bf3127dffa67c03480a"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1Pass.html">Pass</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html#b7ddd71a0da2188c134ad2592d1c7ec2">mUsedPass</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), ie a single rendering...">Pass</a> that was actually used at the grouping level.  <a href="#b7ddd71a0da2188c134ad2592d1c7ec2"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Inner helper class to implement the visitor pattern for rendering objects in a queue. 
<p>Definition at line <a class="el" href="OgreSceneManager_8h-source.html#l00775">775</a> of file <a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="1debd6d9332b92a9a2a40077ba908427"></a><!-- doxytag: member="Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::SceneMgrQueuedRenderableVisitor" ref="1debd6d9332b92a9a2a40077ba908427" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::SceneMgrQueuedRenderableVisitor           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h-source.html#l00781">781</a> of file <a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c8c6da90e0c6ca347c97acdf9b3e8dff"></a><!-- doxytag: member="Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::~SceneMgrQueuedRenderableVisitor" ref="c8c6da90e0c6ca347c97acdf9b3e8dff" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::~SceneMgrQueuedRenderableVisitor           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h-source.html#l00783">783</a> of file <a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="55b8a5b1226af739ebf0655817d09a74"></a><!-- doxytag: member="Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::visit" ref="55b8a5b1226af739ebf0655817d09a74" args="(const Renderable *r)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::visit           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *&nbsp;</td>
          <td class="paramname"> <em>r</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Visit method called once per <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> on a grouped collection. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>If this method is called, the <a class="el" href="structOgre_1_1RenderablePass.html" title="Struct associating a single Pass with a single Renderable.">RenderablePass</a> visit method will not be called for this collection. </dd></dl>

<p>Implements <a class="el" href="classOgre_1_1QueuedRenderableVisitor.html#74d8332544721e5d1a6abb3481fa091c">Ogre::QueuedRenderableVisitor</a>.</p>

</div>
</div><p>
<a class="anchor" name="d6faf056bf49c141a2792e86693a74df"></a><!-- doxytag: member="Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::visit" ref="d6faf056bf49c141a2792e86693a74df" args="(const Pass *p)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::visit           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Pass.html">Pass</a> *&nbsp;</td>
          <td class="paramname"> <em>p</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Implements <a class="el" href="classOgre_1_1QueuedRenderableVisitor.html#a36694ac36f96d8c9c9363279b97bef4">Ogre::QueuedRenderableVisitor</a>.</p>

</div>
</div><p>
<a class="anchor" name="38d41c37b23fa834ea0e783e29ae21fe"></a><!-- doxytag: member="Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::visit" ref="38d41c37b23fa834ea0e783e29ae21fe" args="(const RenderablePass *rp)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::visit           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1RenderablePass.html">RenderablePass</a> *&nbsp;</td>
          <td class="paramname"> <em>rp</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Called when visiting a <a class="el" href="structOgre_1_1RenderablePass.html" title="Struct associating a single Pass with a single Renderable.">RenderablePass</a>, ie items in a sorted collection where items are not grouped by pass. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>If this is called, neither of the other 2 visit methods will be called. </dd></dl>

<p>Implements <a class="el" href="classOgre_1_1QueuedRenderableVisitor.html#b34d488ef550f1ca3699daaa7d376b78">Ogre::QueuedRenderableVisitor</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="b7ddd71a0da2188c134ad2592d1c7ec2"></a><!-- doxytag: member="Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::mUsedPass" ref="b7ddd71a0da2188c134ad2592d1c7ec2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Pass.html">Pass</a>* <a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html#b7ddd71a0da2188c134ad2592d1c7ec2">Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::mUsedPass</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<a class="el" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), ie a single rendering...">Pass</a> that was actually used at the grouping level. 
<p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h-source.html#l00779">779</a> of file <a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="5a00a39fe1147c5806c457a4a9feed88"></a><!-- doxytag: member="Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::targetSceneMgr" ref="5a00a39fe1147c5806c457a4a9feed88" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SceneManager.html">SceneManager</a>* <a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html#5a00a39fe1147c5806c457a4a9feed88">Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::targetSceneMgr</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Target SM to send renderables to. 
<p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h-source.html#l00789">789</a> of file <a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="9b568558ac92b819f6c141cfae20613f"></a><!-- doxytag: member="Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::transparentShadowCastersMode" ref="9b568558ac92b819f6c141cfae20613f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html#9b568558ac92b819f6c141cfae20613f">Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::transparentShadowCastersMode</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Are we in transparent shadow caster mode? 
<p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h-source.html#l00791">791</a> of file <a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="cf473d568a738bb42e81ef872fe600a2"></a><!-- doxytag: member="Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::autoLights" ref="cf473d568a738bb42e81ef872fe600a2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html#cf473d568a738bb42e81ef872fe600a2">Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::autoLights</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Automatic light handling? 
<p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h-source.html#l00793">793</a> of file <a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="a05f120964ef4bf3127dffa67c03480a"></a><!-- doxytag: member="Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::manualLightList" ref="a05f120964ef4bf3127dffa67c03480a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#b82c6299605910b4051ebb3cc3e5539e">LightList</a>* <a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html#a05f120964ef4bf3127dffa67c03480a">Ogre::SceneManager::SceneMgrQueuedRenderableVisitor::manualLightList</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Manual light list. 
<p>

<p>Definition at line <a class="el" href="OgreSceneManager_8h-source.html#l00795">795</a> of file <a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreSceneManager_8h-source.html">OgreSceneManager.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:53:03 2008
</p>
</body>
</html>
